Bug 149309 - Archiver will crash when using Finnish translation
Summary: Archiver will crash when using Finnish translation
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mailman   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Smetana
QA Contact:
URL:
Whiteboard:
Keywords: Translation
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-22 08:28 UTC by Tommi Tervo
Modified: 2009-09-21 20:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 19:07:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix to finnish translation (1.14 KB, patch)
2005-02-22 08:33 UTC, Tommi Tervo
no flags Details | Diff

Description Tommi Tervo 2005-02-22 08:28:40 UTC
Description of problem: 
 
Mailman crashes due to finnish translation bug 
 
Version-Release number of selected component (if applicable): 
 
mailman-2.1.5-24.rhel3 
 
How reproducible: 
 
Always 
 
Steps to Reproduce: 
1. Change maillist language to Finnish (fi) 
2. Archiver will crash incoming mail 
3. 
   
Actual results: 
 
 
Expected results: 
 
 
Additional info: 
http://sourceforge.net/tracker/index.php?func=detail&aid=1080508&group_id=103&atid=100103

Comment 1 Tommi Tervo 2005-02-22 08:33:23 UTC
Created attachment 111286 [details]
Fix to finnish translation

Comment 2 Tommi Tervo 2005-02-22 11:42:16 UTC
  File "/var/mailman/Mailman/Queue/Runner.py", line 111, in _oneloop 
    self._onefile(msg, msgdata) 
  File "/var/mailman/Mailman/Queue/Runner.py", line 167, in _onefile 
    keepqueued = self._dispose(mlist, msg, msgdata) 
  File "/var/mailman/Mailman/Queue/ArchRunner.py", line 73, in 
_dispose 
    mlist.ArchiveMail(msg) 
  File "/var/mailman/Mailman/Archiver/Archiver.py", line 216, in 
ArchiveMail 
    h.close() 
  File "/var/mailman/Mailman/Archiver/pipermail.py", line 313, in 
close 
    self.write_TOC() 
  File "/var/mailman/Mailman/Archiver/HyperArch.py", line 1051, in 
write_TOC 
    toc.write(self.html_TOC()) 
  File "/var/mailman/Mailman/Archiver/HyperArch.py", line 740, in 
html_TOC 
    accum.append(self.html_TOC_entry(a)) 
  File "/var/mailman/Mailman/Archiver/HyperArch.py", line 761, in 
html_TOC_entry 
    templ = '<td><A href="%(url)s">[ ' + _('Gzip\'d Text%(sz)s') \ 
  File "/var/mailman/Mailman/i18n.py", line 89, in _ 
    return tns % dict 
ValueError: unsupported format character 'ä' (0xffffffe4) at index 
16 
 

Comment 3 RHEL Product and Program Management 2007-10-19 19:07:13 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.